JUCE: CppTokeniserFunctions::StringIterator Struct Reference

JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
CppTokeniserFunctions::StringIterator Struct Reference
juce_gui_extra » code_editor

A class that can be passed to the CppTokeniserFunctions functions in order to parse a String. More...

`#include <juce_CPlusPlusCodeTokeniserFunctions.h>`

## Public Member Functions
| StringIterator (const String &s) noexcept
| StringIterator (String::CharPointerType s) noexcept
juce_wchar | nextChar () noexcept
juce_wchar | peekNextChar () noexcept
void | skip () noexcept
void | skipWhitespace () noexcept
void | skipToEndOfLine () noexcept
bool | isEOF () const noexcept

## Public Attributes
String::CharPointerType | t
int | numChars = 0

## Detailed Description

A class that can be passed to the CppTokeniserFunctions functions in order to parse a String.

## Constructor & Destructor Documentation

## ◆ StringIterator() [1/2]

CppTokeniserFunctions::StringIterator::StringIterator | ( | const String & | s | ) |
| noexcept

## ◆ StringIterator() [2/2]

CppTokeniserFunctions::StringIterator::StringIterator | ( | String::CharPointerType | s | ) |
| noexcept

## Member Function Documentation

## ◆ nextChar()

juce_wchar CppTokeniserFunctions::StringIterator::nextChar | ( |  | ) |
| noexcept

References CharPointer_UTF8::getAndAdvance(), isEOF(), numChars, and t.

## ◆ peekNextChar()

juce_wchar CppTokeniserFunctions::StringIterator::peekNextChar | ( |  | ) |
| noexcept

References t.

## ◆ skip()

void CppTokeniserFunctions::StringIterator::skip | ( |  | ) |
| noexcept

References isEOF(), numChars, and t.

Referenced by skipToEndOfLine(), and skipWhitespace().

## ◆ skipWhitespace()

void CppTokeniserFunctions::StringIterator::skipWhitespace | ( |  | ) |
| noexcept

References CharPointer_UTF8::isWhitespace(), skip(), and t.

## ◆ skipToEndOfLine()

void CppTokeniserFunctions::StringIterator::skipToEndOfLine | ( |  | ) |
| noexcept

References skip(), and t.

## ◆ isEOF()

bool CppTokeniserFunctions::StringIterator::isEOF | ( |  | ) | const
| noexcept

References CharPointer_UTF8::isEmpty(), and t.

Referenced by nextChar(), and skip().

## Member Data Documentation

## ◆ t

String::CharPointerType CppTokeniserFunctions::StringIterator::t

Referenced by isEOF(), nextChar(), peekNextChar(), skip(), skipToEndOfLine(), and skipWhitespace().

## ◆ numChars

int CppTokeniserFunctions::StringIterator::numChars = 0

Referenced by nextChar(), and skip().

The documentation for this struct was generated from the following file:

- juce_CPlusPlusCodeTokeniserFunctions.h